CMeans::Initializer Class Referenceabstract

`#include <mia/core/cmeans.hh>`

Inheritance diagram for CMeans::Initializer:
[legend]
Collaboration diagram for CMeans::Initializer:
[legend]

## Public Types

typedef Initializer | plugin_data
typedef Initializer | plugin_type
Public Types inherited from CPropertyFlagHolder
typedef std::set< const char * > | Set
| define the type of the set of flags

## Public Member Functions

virtual DVector | run (const NormalizedHistogram &nh) const =0
Public Member Functions inherited from CProductBase
const char * | get_init_string () const
void | set_init_string (const char *init)
void | set_module (PPluginModule module)
Public Member Functions inherited from CPropertyFlagHolder
void | add (const char *property)
Set | get_missing_properties (const CPropertyFlagHolder &testset) const
bool | has (const char *property) const
bool | has_all_in (const CPropertyFlagHolder &testset) const
virtual | ~CPropertyFlagHolder ()

## Static Public Attributes

static const char * | data_descr
static const char * | type_descr

## Detailed Description

Definition at line 90 of file cmeans.hh.

## Member Typedef Documentation

## plugin_data

typedef Initializer CMeans::Initializer::plugin_data

Definition at line 93 of file cmeans.hh.

## plugin_type

typedef Initializer CMeans::Initializer::plugin_type

Definition at line 94 of file cmeans.hh.

## Member Function Documentation

## run()

virtual DVector CMeans::Initializer::run | ( | const NormalizedHistogram & | nh | ) | const

pure virtual

## Field Documentation

## data_descr

const char* CMeans::Initializer::data_descr

static

Definition at line 95 of file cmeans.hh.

## type_descr

const char* CMeans::Initializer::type_descr

static

Definition at line 96 of file cmeans.hh.

The documentation for this class was generated from the following file:

- cmeans.hh